<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::middleware('auth.custom')->group(function() {

    // Vento Credit
    Route::get('catalogue', 'App\Http\Controllers\CreditController@motorcycleCatalogue');
    Route::post('sku', 'App\Http\Controllers\CreditController@motorcycleSku');
    Route::get('discovery', 'App\Http\Controllers\CreditController@motorcycleCatalogueInfo');

    // Vento mailing
    Route::post('mailing-users', 'App\Http\Controllers\MailerController@getUser');
});


